## webkit2gtk 2.40.3

=== debian/changelog ===
webkit2gtk (2.40.3-2~deb11u2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Sat, 22 Jul 2023 20:35:59 +0300

webkit2gtk (2.40.3-2~deb11u2) bullseye-security; urgency=medium

  * debian/patches/fix-CVE-2023-37450.patch:
    - Cherry pick fix for CVE-2023-37450.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:37:27 +0200

webkit2gtk (2.40.3-2~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP3=NO, ENABLE_GTK4=NO and
      USE_PREBUILT_DOCS=YES.
    - debian/control.in: Remove build dependency on ccache.
  * debian/rules:
    - Disable USE_AVI, USE_GBM and USE_GSTREAMER_TRANSCODER due to missing
      or additional build dependencies.
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.
  * debian/control:
    - Don't require version 1.20.0 of libgstreamer-plugins-bad1.0-dev.

 -- Alberto Garcia <berto@igalia.com>  Thu, 06 Jul 2023 15:08:40 +0200

webkit2gtk (2.40.3-2) unstable; urgency=high

  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation
      (Closes: #1039877).
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 Jun 2023 15:14:08 +0200

webkit2gtk (2.40.3-1) unstable; urgency=high

  * New upstream release (Closes: #1036946).
  * debian/control.in:
    - Enable the bubblewrap sandbox in riscv64.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/patches/fix-jsc-timestamp.patch:
    - Ensure reproducibility of __TIMESTAMP__ in JSCBytecodeCacheVersion.cpp.

 -- Alberto Garcia <berto@igalia.com>  Wed, 28 Jun 2023 16:55:42 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
X-Ubuntu-Use-Langpack: no
Build-Depends: debhelper-compat (= 12),
               ccache [!i386 !m68k],
               bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
               xdg-dbus-proxy [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
               libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
               clang [amd64],
               cmake (>= 3.10),
               libglib2.0-dev (>= 2.44.0),
               libharfbuzz-dev (>= 0.9.18),
               libcairo2-dev (>= 1.14.0),
               libfontconfig-dev,
               libfreetype-dev,
               libicu-dev,
               libgcrypt20-dev (>= 1.7.0),
               libhyphen-dev,
               liblcms2-dev,
               libmanette-0.2-dev (>= 0.2.4) [linux-any],
               libxslt1-dev (>= 1.1.7),
               libxml2-dev (>= 2.8),
               libsoup2.4-dev,libgtk-3-dev,
               libsqlite3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libwoff-dev (>= 1.0.2),
               libwpebackend-fdo-1.0-dev [linux-any],
               gperf,
               bison,
               flex,
               ruby:native,
               unifdef,
               libavif-dev,
               libjpeg-dev,
               libopenjp2-7-dev (>= 2.2.0),
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev (>= 1.14.0),
               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
               libgstreamer-plugins-bad1.0-dev,
               libenchant-2-dev,
               libsecret-1-dev,
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 0.9.12-4),
               ninja-build,
               libegl-dev,
               libgl-dev,
               libgles-dev
Build-Depends-Indep: jdupes
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: libwebkit2gtk-4.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine library for GTK - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package contains the documentation and is valid for versions 4.0,
 4.1 and 6.0 of the API.

Package: webkit2gtk-driver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: WebKitGTK WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package provides the WebDriver service implementation for
 WebKitGTK.

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${bwrap:Depends},
         ${shlibs:Depends},
         ${gles:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-gl,
            libgl1-mesa-dri,
            ${bwrap:Recommends},
            ${gst:Recommends}
Suggests: ${gst:Suggests},
         gstreamer1.0-alsa
Description: Web content engine library for GTK
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the shared libraries.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev,
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the development files.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CCACHE_NOHASHDIR=1
export CCACHE_DIR=$(CURDIR)/ccache

# soup2 build -> 4.0 API packages
# soup3 build -> 4.1 API packages
# gtk4 build  -> 6.0 API packages
ENABLE_SOUP2=YES
ENABLE_SOUP3=NO
ENABLE_GTK4=NO
# Set to YES to use the docs from the tarball instead of generating them.
# Use only if gi-docgen is not available.
USE_PREBUILT_DOCS=YES

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DUSE_AVIF=OFF \
	   -DUSE_GBM=OFF \
	   -DUSE_GSTREAMER_TRANSCODER=OFF \
	   -DENABLE_MINIBROWSER=ON \
           -DENABLE_JOURNALD_LOG=OFF 
EXTRA_BUILD_ARGUMENTS =
DH_GENCONTROL_ARGS =

# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
	EXTRA_CMAKE_ARGUMENTS += \
	   -DCMAKE_C_COMPILER=clang \
	   -DCMAKE_CXX_COMPILER=clang++
endif

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# https://bugs.webkit.org/show_bug.cgi?id=252670
ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k powerpc sh4))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_WEBGL=OFF
endif

# libgbm-dev is not available in the Hurd (#1033999)
ifneq (,$(filter $(DEB_HOST_ARCH),hurd-i386))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_GBM=OFF
endif

# Systemd/elogind and libmanette are Linux-only
ifneq ($(DEB_HOST_ARCH_OS),linux)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
endif

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

# Lower memory requirements on architectures with only 2 GB address space
ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel sh4))
	CFLAGS := $(CFLAGS:-g1=-g0)
	CFLAGS := $(CFLAGS:-O2=-Os)
	CPPFLAGS += --param ggc-min-expand=10
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
	CFLAGS := $(CFLAGS:-O2=-O1)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
	USE_PREBUILT_DOCS=NO
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
	USE_PREBUILT_DOCS=NO
else ifeq ($(USE_PREBUILT_DOCS),YES)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Don't recommend xdg portals on Ubuntu i386 where it doesn't exist
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
					xdg-dbus-proxy"
# Disable the bubblewrap sandbox if libseccomp-dev is not available
else ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
					xdg-dbus-proxy"
	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# Disable the WPE renderer if libwpebackend-fdo-1.0-dev is not available
ifeq ($(shell pkg-config --exists wpebackend-fdo-1.0 && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=ON
else
	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=OFF
endif

# Lower max parallel jobs on some of Ubuntu's builders
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64))
	EXTRA_BUILD_ARGUMENTS += --max-parallel=2
endif
endif

# set the distributor agent for Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSER_AGENT_BRANDING="Ubuntu"
endif

# libavif & gst-plugins-bad1.0 are not in Ubuntu main
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_AVIF=OFF -DUSE_GSTREAMER_TRANSCODER=OFF
endif

# gstreamer1.0-libav and gstreamer1.0-plugins-bad are not in Ubuntu "main"
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
else
	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
endif

# This is loaded at runtime using libepoxy so add an explicit dependency (#1033230)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel armhf))
	DH_GENCONTROL_ARGS += -Vgles:Depends="libgles2"
endif

CXXFLAGS=$(CFLAGS)

# Disable commands and binary packages of the builds that we don't want
ifneq ($(ENABLE_SOUP2),YES)
	SOUP2_BUILD = @:
	EXTRA_DH_ARGUMENTS += -Nlibjavascriptcoregtk-4.0-bin
else
	SOUP2_BUILD_DEP=libsoup2.4-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_SOUP3),YES)
	SOUP3_BUILD = @:
ifeq ($(USE_PREBUILT_DOCS),NO)
	EXTRA_DH_ARGUMENTS += -Nlibwebkit2gtk-4.0-doc
endif
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_GTK4),YES)
	GTK4_BUILD = @:
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK4_BUILD_DEP=libgtk-4-dev,
endif

# Decide what version of the WebKit WebDriver to build
ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_GTK4  = -DENABLE_WEBDRIVER=OFF
ifeq ($(ENABLE_SOUP3),YES)
	ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.1-0
else ifeq ($(ENABLE_SOUP2),YES)
	ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.0-37
else
	ENABLE_WEBDRIVER_GTK4 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkitgtk-6.0-4
endif

# The debhelper files for the soup2, soup3 and gtk4 builds are identical
# (apart from the API version) so we generate the last two from the first.
WEBKIT_DH_FILES = \
	gir1.2-javascriptcoregtk-4.0.install \
	gir1.2-javascriptcoregtk-4.0.lintian-overrides \
	gir1.2-webkit2-4.0.install \
	gir1.2-webkit2-4.0.lintian-overrides \
	libjavascriptcoregtk-4.0-18.install \
	libjavascriptcoregtk-4.0-dev.install \
	libjavascriptcoregtk-4.0-dev.lintian-overrides \
	libwebkit2gtk-4.0-37.docs \
	libwebkit2gtk-4.0-37.install \
	libwebkit2gtk-4.0-37.lintian-overrides \
	libwebkit2gtk-4.0-37.symbols \
	libwebkit2gtk-4.0-dev.install \
	libwebkit2gtk-4.0-dev.lintian-overrides

# This converts debhelper file names and contents to the soup3 versions
WEBKIT_DH_RENAME_SOUP3 = sed -e 's/4\.0-18/4.1-0/g' \
			     -e 's/4\.0-37/4.1-0/g' \
			     -e 's/4\.0\.so\.37/4.1.so.0/g' \
			     -e 's/4\.0/4.1/g'

# This converts debhelper file names and contents to the gtk4 versions

## webkit2gtk 2.40.5

=== Source/WebCore/PAL/pal/CMakeLists.txt ===
set(PAL_PUBLIC_HEADERS
    ExportMacros.h
    FileSizeFormatter.h
    Gunzip.h
    HysteresisActivity.h
    Logging.h
    SessionID.h
    ThreadGlobalData.h

    crypto/CryptoDigest.h

    graphics/WebGPU/Impl/WebGPUAdapterImpl.h
    graphics/WebGPU/Impl/WebGPUBindGroupImpl.h
    graphics/WebGPU/Impl/WebGPUBindGroupLayoutImpl.h
    graphics/WebGPU/Impl/WebGPUBufferImpl.h
    graphics/WebGPU/Impl/WebGPUCommandBufferImpl.h
    graphics/WebGPU/Impl/WebGPUCommandEncoderImpl.h
    graphics/WebGPU/Impl/WebGPUCompositorIntegrationImpl.h
    graphics/WebGPU/Impl/WebGPUComputePassEncoderImpl.h
    graphics/WebGPU/Impl/WebGPUComputePipelineImpl.h
    graphics/WebGPU/Impl/WebGPUConvertToBackingContext.h
    graphics/WebGPU/Impl/WebGPUDeviceImpl.h
    graphics/WebGPU/Impl/WebGPUDeviceWrapper.h
    graphics/WebGPU/Impl/WebGPUDowncastConvertToBackingContext.h
    graphics/WebGPU/Impl/WebGPUExternalTextureImpl.h
    graphics/WebGPU/Impl/WebGPUImpl.h
    graphics/WebGPU/Impl/WebGPUPipelineLayoutImpl.h
    graphics/WebGPU/Impl/WebGPUPresentationContextImpl.h
    graphics/WebGPU/Impl/WebGPUQuerySetImpl.h
    graphics/WebGPU/Impl/WebGPUQueueImpl.h
    graphics/WebGPU/Impl/WebGPURenderBundleEncoderImpl.h
    graphics/WebGPU/Impl/WebGPURenderBundleImpl.h
    graphics/WebGPU/Impl/WebGPURenderPassEncoderImpl.h
    graphics/WebGPU/Impl/WebGPURenderPipelineImpl.h
    graphics/WebGPU/Impl/WebGPUSamplerImpl.h
    graphics/WebGPU/Impl/WebGPUShaderModuleImpl.h
    graphics/WebGPU/Impl/WebGPUSwapChainWrapper.h
    graphics/WebGPU/Impl/WebGPUTextureImpl.h
    graphics/WebGPU/Impl/WebGPUTextureViewImpl.h

    graphics/WebGPU/WebGPU.h
    graphics/WebGPU/WebGPUAdapter.h
    graphics/WebGPU/WebGPUAddressMode.h
    graphics/WebGPU/WebGPUBindGroup.h
    graphics/WebGPU/WebGPUBindGroupDescriptor.h
    graphics/WebGPU/WebGPUBindGroupEntry.h
    graphics/WebGPU/WebGPUBindGroupLayout.h
    graphics/WebGPU/WebGPUBindGroupLayoutDescriptor.h
    graphics/WebGPU/WebGPUBindGroupLayoutEntry.h
    graphics/WebGPU/WebGPUBlendComponent.h
    graphics/WebGPU/WebGPUBlendFactor.h
    graphics/WebGPU/WebGPUBlendOperation.h
    graphics/WebGPU/WebGPUBlendState.h
    graphics/WebGPU/WebGPUBuffer.h
    graphics/WebGPU/WebGPUBufferBinding.h
    graphics/WebGPU/WebGPUBufferBindingLayout.h
    graphics/WebGPU/WebGPUBufferBindingType.h
    graphics/WebGPU/WebGPUBufferDescriptor.h
    graphics/WebGPU/WebGPUBufferUsage.h
    graphics/WebGPU/WebGPUCanvasCompositingAlphaMode.h
    graphics/WebGPU/WebGPUCanvasConfiguration.h
    graphics/WebGPU/WebGPUColor.h
    graphics/WebGPU/WebGPUColorTargetState.h
    graphics/WebGPU/WebGPUColorWrite.h
    graphics/WebGPU/WebGPUCommandBuffer.h
    graphics/WebGPU/WebGPUCommandBufferDescriptor.h
    graphics/WebGPU/WebGPUCommandEncoder.h
    graphics/WebGPU/WebGPUCommandEncoderDescriptor.h
    graphics/WebGPU/WebGPUCompareFunction.h
    graphics/WebGPU/WebGPUCompilationInfo.h
    graphics/WebGPU/WebGPUCompilationMessage.h
    graphics/WebGPU/WebGPUCompilationMessageType.h
    graphics/WebGPU/WebGPUCompositorIntegration.h
    graphics/WebGPU/WebGPUComputePassDescriptor.h
    graphics/WebGPU/WebGPUComputePassEncoder.h
    graphics/WebGPU/WebGPUComputePassTimestampLocation.h
    graphics/WebGPU/WebGPUComputePassTimestampWrites.h
    graphics/WebGPU/WebGPUComputePipeline.h
    graphics/WebGPU/WebGPUComputePipelineDescriptor.h
    graphics/WebGPU/WebGPUCullMode.h
    graphics/WebGPU/WebGPUDepthStencilState.h
    graphics/WebGPU/WebGPUDevice.h
    graphics/WebGPU/WebGPUDeviceDescriptor.h
    graphics/WebGPU/WebGPUDeviceLostInfo.h
    graphics/WebGPU/WebGPUDeviceLostReason.h
    graphics/WebGPU/WebGPUError.h
    graphics/WebGPU/WebGPUErrorFilter.h
    graphics/WebGPU/WebGPUExtent3D.h
    graphics/WebGPU/WebGPUExternalTexture.h
    graphics/WebGPU/WebGPUExternalTextureBindingLayout.h
    graphics/WebGPU/WebGPUExternalTextureDescriptor.h
    graphics/WebGPU/WebGPUFeatureName.h
    graphics/WebGPU/WebGPUFilterMode.h
    graphics/WebGPU/WebGPUFragmentState.h
    graphics/WebGPU/WebGPUFrontFace.h
    graphics/WebGPU/WebGPUImageCopyBuffer.h
    graphics/WebGPU/WebGPUImageCopyExternalImage.h
    graphics/WebGPU/WebGPUImageCopyTexture.h
    graphics/WebGPU/WebGPUImageCopyTextureTagged.h
    graphics/WebGPU/WebGPUImageDataLayout.h
    graphics/WebGPU/WebGPUIndexFormat.h
    graphics/WebGPU/WebGPUIntegralTypes.h
    graphics/WebGPU/WebGPULoadOp.h
    graphics/WebGPU/WebGPUMapMode.h
    graphics/WebGPU/WebGPUMultisampleState.h
    graphics/WebGPU/WebGPUObjectDescriptorBase.h
    graphics/WebGPU/WebGPUOrigin2D.h
    graphics/WebGPU/WebGPUOrigin3D.h
    graphics/WebGPU/WebGPUOutOfMemoryError.h
    graphics/WebGPU/WebGPUPipelineDescriptorBase.h
    graphics/WebGPU/WebGPUPipelineLayout.h
    graphics/WebGPU/WebGPUPipelineLayoutDescriptor.h
    graphics/WebGPU/WebGPUPowerPreference.h
    graphics/WebGPU/WebGPUPredefinedColorSpace.h
    graphics/WebGPU/WebGPUPresentationContext.h
    graphics/WebGPU/WebGPUPresentationContextDescriptor.h
    graphics/WebGPU/WebGPUPrimitiveState.h
    graphics/WebGPU/WebGPUPrimitiveTopology.h
    graphics/WebGPU/WebGPUProgrammableStage.h
    graphics/WebGPU/WebGPUQuerySet.h
    graphics/WebGPU/WebGPUQuerySetDescriptor.h
    graphics/WebGPU/WebGPUQueryType.h
    graphics/WebGPU/WebGPUQueue.h
    graphics/WebGPU/WebGPURenderBundle.h
    graphics/WebGPU/WebGPURenderBundleDescriptor.h
    graphics/WebGPU/WebGPURenderBundleEncoder.h
    graphics/WebGPU/WebGPURenderBundleEncoderDescriptor.h
    graphics/WebGPU/WebGPURenderPassColorAttachment.h
    graphics/WebGPU/WebGPURenderPassDepthStencilAttachment.h
    graphics/WebGPU/WebGPURenderPassDescriptor.h
    graphics/WebGPU/WebGPURenderPassEncoder.h
    graphics/WebGPU/WebGPURenderPassLayout.h
    graphics/WebGPU/WebGPURenderPassTimestampLocation.h
    graphics/WebGPU/WebGPURenderPassTimestampWrites.h
    graphics/WebGPU/WebGPURenderPipeline.h
    graphics/WebGPU/WebGPURenderPipelineDescriptor.h
    graphics/WebGPU/WebGPURequestAdapterOptions.h
    graphics/WebGPU/WebGPUSampler.h
    graphics/WebGPU/WebGPUSamplerBindingLayout.h
    graphics/WebGPU/WebGPUSamplerBindingType.h
    graphics/WebGPU/WebGPUSamplerDescriptor.h
    graphics/WebGPU/WebGPUShaderModule.h
    graphics/WebGPU/WebGPUShaderModuleCompilationHint.h
    graphics/WebGPU/WebGPUShaderModuleDescriptor.h
    graphics/WebGPU/WebGPUShaderStage.h
    graphics/WebGPU/WebGPUStencilFaceState.h
    graphics/WebGPU/WebGPUStencilOperation.h
    graphics/WebGPU/WebGPUStorageTextureAccess.h
    graphics/WebGPU/WebGPUStorageTextureBindingLayout.h
    graphics/WebGPU/WebGPUStoreOp.h
    graphics/WebGPU/WebGPUSupportedFeatures.h
    graphics/WebGPU/WebGPUSupportedLimits.h
    graphics/WebGPU/WebGPUTexture.h
    graphics/WebGPU/WebGPUTextureAspect.h
    graphics/WebGPU/WebGPUTextureBindingLayout.h
    graphics/WebGPU/WebGPUTextureDescriptor.h
    graphics/WebGPU/WebGPUTextureDimension.h
    graphics/WebGPU/WebGPUTextureFormat.h
    graphics/WebGPU/WebGPUTextureSampleType.h
    graphics/WebGPU/WebGPUTextureUsage.h
    graphics/WebGPU/WebGPUTextureView.h
    graphics/WebGPU/WebGPUTextureViewDescriptor.h
    graphics/WebGPU/WebGPUTextureViewDimension.h
    graphics/WebGPU/WebGPUUncapturedErrorEvent.h
    graphics/WebGPU/WebGPUUncapturedErrorEventInit.h
    graphics/WebGPU/WebGPUValidationError.h
    graphics/WebGPU/WebGPUVertexAttribute.h
    graphics/WebGPU/WebGPUVertexBufferLayout.h
    graphics/WebGPU/WebGPUVertexFormat.h
    graphics/WebGPU/WebGPUVertexState.h
    graphics/WebGPU/WebGPUVertexStepMode.h

    system/Clock.h
    system/ClockGeneric.h
    system/SleepDisabler.h
    system/Sound.h
    system/SystemSleepListener.h

    text/DecodeEscapeSequences.h
    text/EncodingTables.h
    text/KillRing.h
    text/TextCodec.h
    text/TextCodecASCIIFastPath.h
    text/TextCodecCJK.h
    text/TextCodecICU.h
    text/TextCodecLatin1.h
    text/TextCodecReplacement.h
    text/TextCodecSingleByte.h
    text/TextCodecUTF16.h
    text/TextCodecUTF8.h
    text/TextCodecUserDefined.h
    text/TextEncoding.h
    text/TextEncodingDetector.h
    text/TextEncodingRegistry.h
    text/UnencodableHandling.h
)

set(PAL_SOURCES
    FileSizeFormatter.cpp
    Logging.cpp
    SessionID.cpp
    ThreadGlobalData.cpp

    graphics/WebGPU/Impl/WebGPUAdapterImpl.cpp
    graphics/WebGPU/Impl/WebGPUBindGroupImpl.cpp
    graphics/WebGPU/Impl/WebGPUBindGroupLayoutImpl.cpp
    graphics/WebGPU/Impl/WebGPUBufferImpl.cpp
    graphics/WebGPU/Impl/WebGPUCommandBufferImpl.cpp
    graphics/WebGPU/Impl/WebGPUCommandEncoderImpl.cpp
    graphics/WebGPU/Impl/WebGPUCompositorIntegrationImpl.cpp
    graphics/WebGPU/Impl/WebGPUComputePassEncoderImpl.cpp
    graphics/WebGPU/Impl/WebGPUComputePipelineImpl.cpp
    graphics/WebGPU/Impl/WebGPUConvertToBackingContext.cpp
    graphics/WebGPU/Impl/WebGPUDeviceImpl.cpp
    graphics/WebGPU/Impl/WebGPUDeviceWrapper.cpp
    graphics/WebGPU/Impl/WebGPUDowncastConvertToBackingContext.cpp
    graphics/WebGPU/Impl/WebGPUExternalTextureImpl.cpp
    graphics/WebGPU/Impl/WebGPUImpl.cpp
    graphics/WebGPU/Impl/WebGPUPipelineLayoutImpl.cpp
    graphics/WebGPU/Impl/WebGPUPresentationContextImpl.cpp
    graphics/WebGPU/Impl/WebGPUQuerySetImpl.cpp
    graphics/WebGPU/Impl/WebGPUQueueImpl.cpp
    graphics/WebGPU/Impl/WebGPURenderBundleEncoderImpl.cpp
    graphics/WebGPU/Impl/WebGPURenderBundleImpl.cpp
    graphics/WebGPU/Impl/WebGPURenderPassEncoderImpl.cpp
    graphics/WebGPU/Impl/WebGPURenderPipelineImpl.cpp
    graphics/WebGPU/Impl/WebGPUSamplerImpl.cpp
    graphics/WebGPU/Impl/WebGPUShaderModuleImpl.cpp
    graphics/WebGPU/Impl/WebGPUSwapChainWrapper.cpp
    graphics/WebGPU/Impl/WebGPUTextureImpl.cpp
    graphics/WebGPU/Impl/WebGPUTextureViewImpl.cpp

    system/SleepDisabler.cpp
    system/SystemSleepListener.cpp

    text/EncodingTables.cpp
    text/TextCodec.cpp
    text/TextCodecCJK.cpp
    text/TextCodecICU.cpp
    text/TextCodecLatin1.cpp
    text/TextCodecReplacement.cpp
    text/TextCodecSingleByte.cpp
    text/TextCodecUTF16.cpp
    text/TextCodecUTF8.cpp
    text/TextCodecUserDefined.cpp
    text/TextEncoding.cpp
    text/TextEncodingDetectorICU.cpp
    text/TextEncodingRegistry.cpp
)

set(PAL_PRIVATE_INCLUDE_DIRECTORIES
    "${CMAKE_BINARY_DIR}"
    "${PAL_DERIVED_SOURCES_DIR}"
    "${PAL_DIR}"
    "${PAL_DIR}/pal"
    "${PAL_DIR}/pal/crypto"
    "${PAL_DIR}/pal/system"
    "${PAL_DIR}/pal/text"
)

set(PAL_FRAMEWORKS WTF)
if (NOT USE_SYSTEM_MALLOC)
    list(APPEND PAL_FRAMEWORKS bmalloc)
endif ()

set(PAL_INTERFACE_LIBRARIES PAL)
set(PAL_INTERFACE_INCLUDE_DIRECTORIES ${PAL_FRAMEWORK_HEADERS_DIR})
set(PAL_INTERFACE_DEPENDENCIES PAL_CopyHeaders)

WEBKIT_FRAMEWORK_DECLARE(PAL)
WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_COPY_FILES(PAL_CopyHeaders
    DESTINATION ${PAL_FRAMEWORK_HEADERS_DIR}/pal
    FILES ${PAL_PUBLIC_HEADERS}
)

WEBKIT_FRAMEWORK(PAL)

=== debian/changelog ===
webkit2gtk (2.40.5-1~deb12u1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 01 Oct 2023 19:31:01 +0300

webkit2gtk (2.40.5-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm-security.
  * The WebKitGTK security advisory WSA-2023-0007 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2023-38133, CVE-2023-38572, CVE-2023-38592, CVE-2023-38594,
      CVE-2023-38595, CVE-2023-38597, CVE-2023-38599, CVE-2023-38600,
      CVE-2023-38611 (fixed in 2.40.5)

 -- Alberto Garcia <berto@igalia.com>  Sat, 05 Aug 2023 03:13:42 +0300

webkit2gtk (2.40.5-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Use -O1 instead of -Os in sh4 (thanks, John Paul Adrian Glaubitz)
      (Closes: #1042519).
  * Drop debian/patches/fix-jsc-timestamp.patch.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Aug 2023 00:01:52 +0300

webkit2gtk (2.40.4-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
-               clang [amd64],
                cmake (>= 3.10),
                libglib2.0-dev (>= 2.44.0),
                libharfbuzz-dev (>= 0.9.18),
@@ -26,7 +25,7 @@
                libmanette-0.2-dev (>= 0.2.4) [linux-any],
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.8),
-               libsoup2.4-dev,libgtk-3-dev,
+               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
                libsqlite3-dev (>= 3.0),
                libgudev-1.0-dev [linux-any],
                libwoff-dev (>= 1.0.2),
@@ -45,7 +44,7 @@
                libxt-dev,
                libgstreamer1.0-dev (>= 1.14.0),
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-               libgstreamer-plugins-bad1.0-dev,
+               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
                libenchant-2-dev,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
@@ -54,7 +53,7 @@
                libegl-dev,
                libgl-dev,
                libgles-dev
-Build-Depends-Indep: jdupes
+Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup2.4-doc, jdupes
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
@@ -100,7 +99,7 @@
 Package: webkit2gtk-driver
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
+Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: WebKitGTK WebDriver support
@@ -248,3 +247,61 @@
  This package contains introspection data, which can be used by
  packages using the GIRepository format to generate dynamic bindings.
 
+Package: libjavascriptcoregtk-4.1-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the shared libraries.
+
+Package: libjavascriptcoregtk-4.1-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
+         libglib2.0-dev,
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK - development files
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the development files.
+
+Package: gir1.2-javascriptcoregtk-4.1
+Section: introspection
+Architecture: any
+Multi-Arch: same
+Depends: ${gir:Depends},
+         libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         ${misc:Depends}
+Description: JavaScript engine library from WebKitGTK - GObject introspection data
+ JavaScriptCore is the JavaScript engine used in WebKit. It consists
+ of the following building blocks: lexer, parser, start-up interpreter
+ (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
+ high-throughput optimizing JIT (FTL).
+ .
+ This build comes from the GTK port of WebKit (API version 4.1).
+ .
+ This package contains the introspection data, which can be used by
+ packages using the GIRepository format to generate dynamic bindings.
+
+Package: libwebkit2gtk-4.1-0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 # soup3 build -> 4.1 API packages
 # gtk4 build  -> 6.0 API packages
 ENABLE_SOUP2=YES
-ENABLE_SOUP3=NO
-ENABLE_GTK4=NO
+ENABLE_SOUP3=YES
+ENABLE_GTK4=YES
 # Set to YES to use the docs from the tarball instead of generating them.
 # Use only if gi-docgen is not available.
-USE_PREBUILT_DOCS=YES
+USE_PREBUILT_DOCS=NO
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
@@ -26,21 +26,10 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
-	   -DUSE_AVIF=OFF \
-	   -DUSE_GBM=OFF \
-	   -DUSE_GSTREAMER_TRANSCODER=OFF \
 	   -DENABLE_MINIBROWSER=ON \
-           -DENABLE_JOURNALD_LOG=OFF 
+           -DENABLE_JOURNALD_LOG=OFF
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
-
-# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
-# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang \
-	   -DCMAKE_CXX_COMPILER=clang++
-endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -83,7 +72,7 @@
 endif
 
 # Lower memory requirements on architectures with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -92,7 +81,9 @@
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
 # and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
 ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
+	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-O1)
+	CPPFLAGS += --param ggc-min-expand=10
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -235,3 +226,8 @@
 			     -e 's/4\.0/4.1/g'
 
 # This converts debhelper file names and contents to the gtk4 versions
+WEBKIT_DH_RENAME_GTK4 = sed -e '/usr\/include\/webkitgtk-4.0\/webkit2/d' \
+			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
+			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
+			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
+			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \

## webkit2gtk 2.41.91

=== debian/changelog ===
webkit2gtk (2.41.91-1) experimental; urgency=medium

  * New upstream development release.
  * debian/rules:
    - Use --max-parallel=2 in Debian mipsel builds again.
    - Don't build jpegxl support on Ubuntu yet (it's still in universe)
      (Jeremy Bicha).

 -- Alberto Garcia <berto@igalia.com>  Sat, 19 Aug 2023 22:16:41 +0200

webkit2gtk (2.41.90-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches and drop fix-jsc-timestamp.patch.
  * debian/rules:
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.
    - Use -O1 instead of -Os in sh4 (thanks, John Paul Adrian Glaubitz)
      (#1042519).
  * debian/copyright:
    - Update copyright information of all files.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Mon, 14 Aug 2023 20:22:34 +0300

webkit2gtk (2.41.6-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation.
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.
  * debian/patches/fix-jsc-timestamp.patch:
    - Ensure reproducibility of __TIMESTAMP__ in JSCBytecodeCacheVersion.cpp.

 -- Alberto Garcia <berto@igalia.com>  Tue, 04 Jul 2023 16:15:48 +0200

webkit2gtk (2.41.5-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/control.in:
    - Enable the bubblewrap sandbox in riscv64.
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.

 -- Alberto Garcia <berto@igalia.com>  Wed, 14 Jun 2023 15:10:20 +0200

webkit2gtk (2.41.4-1) experimental; urgency=medium

  * New upstream development release.
  * Refresh all patches.
  * debian/control:
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/rules:
    - Pass -VNone to dh_makeshlibs for javascriptcore to keep the behavior
      of the debhelper compat level 11 and earlier.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Wed, 17 May 2023 21:54:42 +0200

=== debian/control ===
--- 
+++ 
@@ -9,26 +9,28 @@
 X-Ubuntu-Use-Langpack: no
 Build-Depends: debhelper-compat (= 12),
                ccache [!i386 !m68k],
-               bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
+               bubblewrap [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !sh4 !sparc64 !hurd-any !kfreebsd-any],
-               cmake (>= 3.10),
-               libglib2.0-dev (>= 2.44.0),
-               libharfbuzz-dev (>= 0.9.18),
-               libcairo2-dev (>= 1.14.0),
+               cmake (>= 3.16),
+               libglib2.0-dev,
+               libharfbuzz-dev,
+               libcairo2-dev,
                libfontconfig-dev,
                libfreetype-dev,
                libicu-dev,
-               libgcrypt20-dev (>= 1.7.0),
+               libgcrypt20-dev,
                libhyphen-dev,
+               libjxl-dev,
                liblcms2-dev,
                libmanette-0.2-dev (>= 0.2.4) [linux-any],
-               libxslt1-dev (>= 1.1.7),
-               libxml2-dev (>= 2.8),
+               libxslt1-dev,
+               libxml2-dev,
                libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
-               libsqlite3-dev (>= 3.0),
+               libsqlite3-dev,
+               libsystemd-dev [linux-any],
                libgudev-1.0-dev [linux-any],
-               libwoff-dev (>= 1.0.2),
+               libwoff-dev,
                libwpebackend-fdo-1.0-dev [linux-any],
                gperf,
                bison,
@@ -37,18 +39,18 @@
                unifdef,
                libavif-dev,
                libjpeg-dev,
-               libopenjp2-7-dev (>= 2.2.0),
+               libopenjp2-7-dev,
                libpng-dev,
                libtasn1-6-dev,
                libwebp-dev,
                libxt-dev,
-               libgstreamer1.0-dev (>= 1.14.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
                libenchant-2-dev,
                libsecret-1-dev,
-               gobject-introspection (>= 1.32.0),
-               libgirepository1.0-dev (>= 0.9.12-4),
+               gobject-introspection,
+               libgirepository1.0-dev,
                ninja-build,
                libegl-dev,
                libgl-dev,
@@ -305,3 +307,5 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
+         gstreamer1.0-plugins-base,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://webkitgtk.org/releases/ webkitgtk-([\d]+\.[\d]*[012468]\.[\d]+).tar.xz

## webkit2gtk 2.42.1

=== debian/changelog ===
webkit2gtk (2.42.1-2) unstable; urgency=medium

  * debian/patches/disable-dmabuf-nvidia.patch:
    - Disable the DMABuf renderer for NVIDIA proprietary drivers
      (Closes: #1039720, #1052055).

 -- Alberto Garcia <berto@igalia.com>  Wed, 04 Oct 2023 17:09:23 +0200

webkit2gtk (2.42.1-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Sep 2023 10:49:22 +0200

webkit2gtk (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.41 (experimental) branch.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/control.in:
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.
    - Require CMake 3.16
  * debian/control-common.in:
    - Add dependency on libgles2. This is no longer detected automatically
      because it's loaded at runtime by libepoxy (see #1050777).
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/rules:
    - Use --max-parallel=2 in Debian mipsel builds again.
    - Don't build jpegxl support on Ubuntu yet (it's still in universe)
      (Jeremy Bicha).
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Sep 2023 14:49:49 +0200
